Release CoCoA-5.3.2

30 Apr 2020 14:34 - Anna Maria Bigatti

Status: Closed Start date: 30 Apr 2020

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 0.66 hour

Target version: CoCoA-5.3.2 Spent time: 0.55 hour

Description

Everything for the release

CHECK FOR BUGS

    Compile with --debug flag, and check that everything runs OK.

    In src/CoCoA-5/ run make ManExamples, and check that everything is OK.

 

Redmine Roadmap: close or postpone issue

    Redmine Release issues: check percentages, check timings

    Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.

    Finalize

 

version number for CoCoALib release: configuration/version

    version number for CoCoA-5 release: CoCoA-5/release-files/version

    cvs checkout in snapshot dir

 

cd snapshotdir

    configure --again

    make

    cd src/CoCoA-5

    time make doc

    time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

    ls-lt CoCoAManual/html

 

RELEASE FOR MAC FOR LINUX

cd src/CoCoA-5/release-files

    ./release-mac.sh (local)

    ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

 

RELEASE COCOALIB

~/shell-scripts/cocoalib-cvs-snapshot

    ---- make release for CoCoALib ----

 

RELEASE FOR WIN

copy cocoalib tgz on windows virtual machine

    compile windows text version on virtual machine, copy CoCoAInterpreter from SharedFolder into 

local dir

    ./release-win.sh
    (ask someone for windows gui version...)

 

WEBSITE

update /Volumes/WWW/webcocoa/download/download5.shtml

    update /Volumes/WWW/webcocoa/download/RelNotes.shtml

    [[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

 

upload manual

    publish manual (arXiv? ResearchGate?)

 

close release on Redmine

 

---> send message to facebook page

---> send email

---> update list with undelivered emails

Related issues:

Related to CoCoALib - Support #1452: Release CoCoALib-0.99710 Closed 30 Apr 2020

History

#1 - 30 Apr 2020 14:35 - Anna Maria Bigatti

- Description updated

#2 - 30 Apr 2020 14:36 - Anna Maria Bigatti

- Description updated

#3 - 30 Apr 2020 14:47 - Anna Maria Bigatti

- Related to Support #1452: Release CoCoALib-0.99710 added

#4 - 01 May 2020 05:52 - John Abbott

- Status changed from New to In Progress

- % Done changed from 10 to 20

Here are some notes about the MacOS (hidden) release:

inside CoCoA-5.3/CoCoAManual/ there are Makefile and README; is this intentional?

inside .../CoCoAManual/html/ there is a file with a strange name cmdPrevPrimePrevProbPrime.htmlcmdPrevPrimePrevProbPrime.html;

looks wrong!

inside .../CoCoAManual/html the filenames containing [OBSOLETE] or [OBSOLESCENT] are a bit awkward (apparently allowed in URIs, though)

Otherwise seems fine (e.g. file perms)

#5 - 04 May 2020 16:09 - Anna Maria Bigatti

- Description updated
#6 - 03 Jul 2020 15:26 - John Abbott

What is this issue about?  How does it differ from #1452?

#7 - 07 Aug 2020 14:15 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 20 to 90

- Estimated time set to 0.66 h

Anna, could you register any time for this issue (and #1452), and then close?

Thanks!

#8 - 09 Oct 2020 14:17 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
